#!/bin/sh
# /usr/lib/upgrade/9901-restart-sysstatus.sh
#
#  Copyright: 2012,2016 Guralp Systems Ltd.
#  Author: Laurence Withers <lwithers@guralp.com>
#  License: GPLv3
#
# Restarts system-statusd, so that the XML status can be immediately refreshed
# with new system state (new firmware release, free space etc.).
#

# Newer systems may not have a /var/run link following a factory reset
# and this is the first place we use it.
[ ! -e /var/run ] && ln -s /run /var/run

svc system-statusd restart
